import sys
from PyQt5.QtCore import QObject, QUrl
from PyQt5.QtQuickWidgets import QQuickWidget
from PyQt5.QtWidgets import QApplication, QWidget, QVBoxLayout



class FileDialogTest(QWidget):

    def __init__(self, parent=None):
        super().__init__(parent)

        self.qqw = QQuickWidget()
        self.qqw.setResizeMode(QQuickWidget.SizeRootObjectToView)
        self.qqw.setMinimumSize(800,600)
        self.qqw.setSource(QUrl.fromLocalFile("main.qml"))

        vbox = QVBoxLayout()
        vbox.addWidget(self.qqw)
        self.setLayout(vbox)


if __name__ == "__main__":
    
    app = QApplication([])
    dialogTest = FileDialogTest()
    dialogTest.show()
    sys.exit(app.exec_())
